Bug 3810 - [UPDATE REQUEST] [UPSTREAM UPDATE] lftp
: [UPDATE REQUEST] [UPSTREAM UPDATE] lftp
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-25 16:42 MSK by Andrew Lukoshko
Modified: 2014-03-10 19:32 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-02-25 16:42:56 MSK
* Prior to this update, when a file list from Secure FTP (SFTP) sites was demanded, the lftp client terminated unexpectedly displaying the "buffer overflow detected" error message. With this update, the buffer allocation and its usage have been corrected. As a result, the lftp program no longer crashes when handling larger buffers.

https://rhn.redhat.com/errata/RHBA-2014-0156.html

https://abf.rosalinux.ru/build_lists/1658393
https://abf.rosalinux.ru/build_lists/1658394
Comment 1 Alexander Petryakov 2014-02-27 01:47:16 MSK
lftp-4.0.9-1
*********************** RHEL Advisory *************************
* Prior to this update, when a file list from Secure FTP (SFTP) sites was demanded, the lftp client terminated unexpectedly displaying the "buffer overflow detected" error message. With this update, the buffer allocation and its usage have been corrected. As a result, the lftp program no longer crashes when handling larger buffers.

https://rhn.redhat.com/errata/RHBA-2014-0156.html
***************************************************************
QA Verified